<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <form id="" class="">
        <fieldset>
            <legend>
                Thông tin cá nhân
            </legend>
            <label>Họ và tên</label>
            <input list="name" type="text" maxlength="50" required placeholder="Nhập họ tên đầy đủ">
            <datalist id="name">
                <option>Hiếu</option>
                <option>Minh</option>
            </datalist>
            <br>
            <label>Ngày sinh</label>
            <input type="date">
            <br>
            <label>Màu sắc chủ đạo</label>
            <input type="color">
            <br>
            <label>Trạng thái công việc</label>
            <input type="range">
            <br>
            <label>Giới tính</label>
            <input type="radio" name="gender">
            <label for="gender">Nam</label>
            <input type="radio" name="gender">
            <label for="gender">Nữ</label>
            <br>
            <label>Mật khẩu</label>
            <input type="password">
            <br>
            <label>Kỹ năng</label>
            <input type="checkbox" checked><label>ITB</label>
            <input type="checkbox"><label>ITW</label>
            <input type="checkbox"><label>Java</label>
            <input type="checkbox"><label>DSA</label>
            <input type="checkbox"><label>Database</label>
            <br>
            <label>Điểm</label>
            <input type="number" min="0" max="1">
            <br>

            <button onclick="alert('Buổi ngày 15/1')">Đăng ký</button>

            <input type="submit" value="Đăng ký">

            <br>
            <label>Phương tiện di chuyển</label>
            <select>
                <option>Đi xe bus</option>
                <option>Tự lái xe</option>
            </select>

            <br>
            <label>Ghi chú</label>
            <textarea></textarea>
        </fieldset>
        <fieldset>
            <legend>Thông tin vợ</legend>
        </fieldset>
        <fieldset>
            <legend>Thông tin con</legend>
        </fieldset>
    </form>
</body>

</html>